Apache JMeter

## org.apache.jmeter.protocol.system
Class NativeCommand

    java.lang.Object
      org.apache.jmeter.protocol.system.NativeCommand

    public class NativeCommand

extends Object

Native Command

Constructor Summary
`NativeCommand(File directory, Map<String,String> env)`

Method Summary
`Map<String,String>` `getExecutionEnvironment()`
`String` `getOutResult()`
`int` `run(List<String> arguments)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NativeCommand

    public NativeCommand(File directory,
                         Map<String,String> env)

Parameters:
  `env` - Environment variables appended to environment
  `directory` - File working directory

Method Detail

### run

    public int run(List<String> arguments)
            throws InterruptedException,
                   IOException

  Parameters:
    `arguments` - List<String>
  Returns:
    return code
  Throws:
    `InterruptedException`
    `IOException`

### getOutResult

    public String getOutResult()

  Returns:
    Out/Err stream contents

### getExecutionEnvironment

    public Map<String,String> getExecutionEnvironment()

  Returns:
    the executionEnvironment

Apache JMeter

Copyright © 1998-2012 Apache Software Foundation. All Rights Reserved.